|
From: Christopher D. M. <cas...@us...> - 2012-02-29 15:59:53
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "cap4".
The branch, master has been updated
via 35c14d1b9667e8ea8b9daf68b374a64b1d625f56 (commit)
from 53b26aecdbd7d52fbd0232753aa294718ad346c1 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 35c14d1b9667e8ea8b9daf68b374a64b1d625f56
Author: CDM <cas...@us...>
Date: Wed Feb 29 08:59:41 2012 -0700
CDM: move toolbox to src directory, add install target to Makefile, add bin/deploy program to install cap src tools
-----------------------------------------------------------------------
Summary of changes:
Makefile | 10 ++-
cap.spec | 40 ++------
doc/cap-program-template => deploy | 53 ++++++++---
install.sh | 30 +++++--
libexec/sh/cfunc | 131 +++++++++++++++++++++++++
{toolbox => src}/Makefile | 4 +-
{toolbox => src}/collectl-utils/Makefile | 0
{toolbox => src}/collectl/Makefile | 0
{toolbox => src}/conman/Makefile | 0
{toolbox => src}/diskscrub/Makefile | 0
{toolbox => src}/freeipmi/Makefile | 0
{toolbox => src}/genders/Makefile | 0
{toolbox => src}/io-watchdog/Makefile | 0
{toolbox => src}/make.def | 0
{toolbox => src}/make.workbench | 10 +-
{toolbox => src}/mcelog/Makefile | 4 +-
{toolbox => src}/munge/Makefile | 0
{toolbox => src}/nfsroot/Makefile | 0
{toolbox => src}/nodediag/Makefile | 0
{toolbox => src}/onesis/Makefile | 4 +-
{toolbox => src}/padb/Makefile | 0
{toolbox => src}/pdsh/Makefile | 0
{toolbox => src}/powerman/Makefile | 0
{toolbox => src}/python-hostlist/Makefile | 0
{toolbox => src}/slurm-spank-plugins/Makefile | 0
{toolbox => src}/slurm/Makefile | 0
{toolbox => src}/sqlog/Makefile | 0
{toolbox => src}/torque/Makefile | 0
28 files changed, 224 insertions(+), 62 deletions(-)
copy doc/cap-program-template => deploy (65%)
mode change 100644 => 100755
create mode 100755 libexec/sh/cfunc
rename {toolbox => src}/Makefile (85%)
rename {toolbox => src}/collectl-utils/Makefile (100%)
rename {toolbox => src}/collectl/Makefile (100%)
rename {toolbox => src}/conman/Makefile (100%)
rename {toolbox => src}/diskscrub/Makefile (100%)
rename {toolbox => src}/freeipmi/Makefile (100%)
rename {toolbox => src}/genders/Makefile (100%)
rename {toolbox => src}/io-watchdog/Makefile (100%)
rename {toolbox => src}/make.def (100%)
rename {toolbox => src}/make.workbench (68%)
rename {toolbox => src}/mcelog/Makefile (78%)
rename {toolbox => src}/munge/Makefile (100%)
rename {toolbox => src}/nfsroot/Makefile (100%)
rename {toolbox => src}/nodediag/Makefile (100%)
rename {toolbox => src}/onesis/Makefile (81%)
rename {toolbox => src}/padb/Makefile (100%)
rename {toolbox => src}/pdsh/Makefile (100%)
rename {toolbox => src}/powerman/Makefile (100%)
rename {toolbox => src}/python-hostlist/Makefile (100%)
rename {toolbox => src}/slurm-spank-plugins/Makefile (100%)
rename {toolbox => src}/slurm/Makefile (100%)
rename {toolbox => src}/sqlog/Makefile (100%)
rename {toolbox => src}/torque/Makefile (100%)
diff --git a/Makefile b/Makefile
index 6afe450..a398564 100644
--- a/Makefile
+++ b/Makefile
@@ -2,12 +2,20 @@
# developer Makefile for cap4
#
+prefix ?= /opt/cap4
+
+install:
+ @echo "Installing cap4 in $(prefix)"
+ @export CAP4DEVHOME=`pwd`; ./install.sh $(prefix) .
+
dist: tgz
svndist: svntgz
tgz rpm srpm deb: build-cap4.sh
- export CAP4DEVHOME=`pwd`; ./build-cap4.sh official $@
+ @echo "Building official cap4 $@"
+ @export CAP4DEVHOME=`pwd`; ./build-cap4.sh official $@
gittgz svntgz gitrpm svnrpm gitsrpm svnsrpm gitdeb svndeb: build-cap4.sh
+ @echo "Building snapshot cap4 $@"
export CAP4DEVHOME=`pwd` && ./build-cap4.sh snapshot $(shell echo $@ | sed -e 's/svn//g' -e 's/git//g')
diff --git a/cap.spec b/cap.spec
index 84453f9..b4749b4 100644
--- a/cap.spec
+++ b/cap.spec
@@ -82,35 +82,11 @@ Authors:
./install.sh ${RPM_BUILD_ROOT}
%post
-# workorder
-mkdir -p %{_cap_workorder_home}
-
-# determine if we are new install, or upgrading
-if [ $1 -ne 1 ]; then
- # we are upgrading
-
- # determine if we need to modify our cap.conf
- if grep SPECONF_FIELDS %{_capconf_home}/cap/conf/cap.conf | grep -v TYPE; then
- # we need to upgrade our cap.conf to correct SPECONF_FIELDS,
- # the following will fail if this has been modified
- echo "updating SPECONF_FIELDS %{_capconf_home}/cap/conf/cap.conf";
- sed -i.orig '/^SPECONF_FIELDS/c\SPECONF_FIELDS = FILENAME, MD5SUM, TYPE, STAT, PERM, SIZE, UID, GID' %{_capconf_home}/cap/conf/cap.conf
-
- fi
-
-fi
-
-if [ -f /usr/bin/conman ]; then
- echo "Linking cap_console to conman"
- ln -sf /usr/bin/conman /usr/bin/cap_console
-elif [ -f /usr/bin/console ]; then
- echo "Linking cap_console to console"
- ln -sf /usr/bin/console /usr/bin/cap_console
-fi
+./postinstall.sh ${RPM_BUILD_ROOT}
%postun
-echo "CAP workorder files may still be located in %{_cap_workorder_home}!"
+%preun
#%preun test
@@ -119,6 +95,14 @@ echo "CAP workorder files may still be located in %{_cap_workorder_home}!"
%files
%defattr(-,root,root)
+%{_cap_home}/src/*
+%{_cap_home}/share/doc/*
+%{_cap_home}/bin/*
+%{_cap_home}/libexec/*
+/usr/share/doc/cap4
+/usr/libexec/cap4
+/usr/src/cap4
+/usr/bin/deploy
#%config(noreplace) %{_capconf_home}/sysconfig/cap
#%config(noreplace) %{_capconf_home}/profile.d/cap.csh
#%config(noreplace) %{_capconf_home}/profile.d/cap.sh
@@ -131,12 +115,10 @@ echo "CAP workorder files may still be located in %{_cap_workorder_home}!"
#%{_cap_home}/sbin/*
#%{_cap_home}/bin/*
#%{_cap_home}/include/cap/*
-%{_cap_home}/libexec/toolbox/*
+#%{_cap_workorder_home}
#%{_cap_home}/share/man/man1/*
#%{_cap_home}/share/man/man3/*
#%{_capconf_home}/cap
-%{_cap_home}/share/doc/*
-#%{_cap_workorder_home}
#%files test
#%defattr(-,root,root)
diff --git a/doc/cap-program-template b/deploy
old mode 100644
new mode 100755
similarity index 65%
copy from doc/cap-program-template
copy to deploy
index 7c8c6e8..d16fdbe
--- a/doc/cap-program-template
+++ b/deploy
@@ -1,8 +1,8 @@
-#!/usr/bin/perl
+#!/bin/bash
################################################################################
-# Name: PROGRAMNAME
-# File: PROGRAMNAME.EXTENSION
-# Purpose: DESCRIPTION
+# Name: deploy
+# File: deploy
+# Purpose: call make in src to build/install as rpm or a directory
# Bug Reports: cap4-devel_AT_lists_DOT_sf_DOT_net
#
# Last Modified:
@@ -27,24 +27,49 @@
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
################################################################################
+#set -x
-# $$$$$$$$$$$$$$$$$$
-# begin main program
-# $$$$$$$$$$$$$$$$$$
+[ ! -f /usr/libexec/cap4/sh/cfunc ] && [ "x${CAPDEVHOME}" = "x" ] && echo "Missing cfunc library" && exit 1
+[ "x${CAPDEVHOME}" != "x" ] && [ ! -f ${CAPDEVHOME}/libexec/sh/cfunc ] && echo "Missing cfunc library" && exit 1
-BEGIN {
- die "Please define CAPHOME!\n" if !defined($ENV{CAPHOME});
+[ [ -f /usr/libexec/cap4/sh/cfunc ] && . /usr/libexec/cap4/sh/cfunc ] ||
+[ [ "x${CAPDEVHOME}" != "x" ] && [ -f ${CAPDEVHOME}/libexec/sh/cfunc ] echo "Using development cfunc library in $CAPDEVHOME" && . ${CAPDEVHOME}/libexec/sh/cfunc ]
+
+
+usage() {
+ echo $0 --tool TOOLNAME --rpm
+ echo $0 --tool TOOLNAME --prefix PREFIXDIRECTORY
+ exit 1
}
-use lib ( $ENV{CAPHOME} eq "/usr" ? "/usr/libexec/cap" : "$ENV{CAPHOME}/libexec");
+parsecli "$@"
+
+check_validvar TOOL $TOOL
+
+if [ $RPM -eq 1 ]; then
+ cinfo MAKE "$TOOL => RPM"
+ make_tool $TOOL
+else
+ check_validvar PREFIX $PREFIX
+ cinfo MAKE "$TOOL => $PREFIX"
+ make_tool $TOOL $PREFIX
+fi
+
+# now look for src and call for tool to be built
+
+
+: <<=cut
+
+=pod
-=head1 NAME
+=head1 deploy
-PROGRAMNAME - Brief description of your program
+deploy - deploy cap src programs as rpms/debs or in a specific directory for use
=head1 SYNOPSIS
- $ How to use your program (with use statements, from the command line)
+ $ deploy --tool TOOLNAME --rpm
+ $ deploy --tool TOOLNAME --prefix PREFIXDIRECTORY
=head1 DESCRIPTION
@@ -63,7 +88,7 @@ Updated software and documentation may be found at the CAP web site:
=head1 COPYRIGHT AND LICENSE
-© Copyright 2007 Hewlett-Packard Development Company, L.P
+© Copyright 2012 Hewlett-Packard Development Company, L.P
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
diff --git a/install.sh b/install.sh
index 0d1a103..eb934d9 100755
--- a/install.sh
+++ b/install.sh
@@ -40,15 +40,31 @@ _cap_home=$2
[ $# -lt 1 ] && echo "$0 BUILD_ROOT _cap_home" && exit 1
[ "x${_cap_home}" = "x" ] && _cap_home=/opt/cap4
-# copy toolbox install
-mkdir -p ${BUILD_ROOT}/${_cap_home}/libexec/toolbox
-cp -rp --preserve=link toolbox/* ${BUILD_ROOT}/${_cap_home}/libexec/toolbox/
+# bins
+mkdir -p ${BUILD_ROOT}/${_cap_home}/bin
+cp -rp --preserve=link deploy ${BUILD_ROOT}/${_cap_home}/bin/
-# copy toolbox install
+# src
+mkdir -p ${BUILD_ROOT}/${_cap_home}/src
+cp -rp --preserve=link src/* ${BUILD_ROOT}/${_cap_home}/src/
+
+# libexec
+mkdir -p ${BUILD_ROOT}/${_cap_home}/libexec
+cp -rp --preserve=link libexec/* ${BUILD_ROOT}/${_cap_home}/libexec/
+
+# docs
mkdir -p ${BUILD_ROOT}/${_cap_home}/share/doc
cp -rp --preserve=link doc/* ${BUILD_ROOT}/${_cap_home}/share/doc/
-# copy man pages
-# soft link if we want
-#### etc,bin,sbin,man, links
+#
+# softlinks from /usr/*/cap4 -> ${_cap_home}/*
+#
+mkdir -p ${BUILD_ROOT}/usr/share/doc
+ln -sf ${_cap_home}/share/doc ${BUILD_ROOT}/usr/share/doc/cap4
+mkdir -p ${BUILD_ROOT}/usr/libexec
+ln -sf ${_cap_home}/libexec ${BUILD_ROOT}/usr/libexec/cap4
+mkdir -p ${BUILD_ROOT}/usr/src
+ln -sf ${_cap_home}/src ${BUILD_ROOT}/usr/src/cap4
+mkdir -p ${BUILD_ROOT}/usr/bin
+ln -sf ${_cap_home}/bin/deploy ${BUILD_ROOT}/usr/bin/deploy
diff --git a/libexec/sh/cfunc b/libexec/sh/cfunc
new file mode 100755
index 0000000..1ed5d98
--- /dev/null
+++ b/libexec/sh/cfunc
@@ -0,0 +1,131 @@
+#!/bin/bash
+################################################################################
+# Name: cfunc
+# File: cfunc
+# Purpose: call make in src to build/install as rpm or a directory
+# Bug Reports: cap4-devel_AT_lists_DOT_sf_DOT_net
+#
+# Last Modified:
+# $Id: cap-program-template 1349 2009-01-28 16:09:23Z jatencio $
+#
+# Copyright:
+# © Copyright 2012 Hewlett-Packard Development Company, L.P
+#
+# License: GPL v2
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+################################################################################
+
+# $$$$$$$$$$$$$$$$$$
+# begin main program
+# $$$$$$$$$$$$$$$$$$
+
+RPM=0
+
+parsecli() {
+ ARG="$@"
+ # Note that we use `"$@"' to let each command-line parameter expand to a
+ # separate word. The quotes around `$@' are essential!
+ # We need TEMP as the `eval set --' would nuke the return value of getopt.
+ TEMP=`getopt -o hc:: -l tool:,prefix:,rpm,help,usage,debug \
+ -n 'ERROR' -- "$@"`
+ if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
+ # Note the quotes around `$TEMP': they are essential!
+ eval set -- "$TEMP"
+
+ while true ; do
+ case "$1" in
+ --tool) TOOL=$2; shift 2 ;;
+ --prefix) PREFIX=$2; shift 2 ;;
+ --rpm) RPM=1; shift ;;
+ --help|--usage) usage ;;
+ --debug) DEBUG=1; shift ;;
+ --) shift ; break ;;
+ *) echo "Internal error!" ; exit 1 ;;
+ esac
+ done
+ if [ $DEBUG ] ; then
+ echo "Remaining args:"
+ for arg do echo '--> '"\`$arg\`" ; done
+ fi
+}
+
+check_validvar() {
+ [ $# -lt 1 ] && echo "VARIABLE_NAME VARIABLE_VALUE" && exit 1
+ [ "x${2}" = "x" ] && echo "Undefined VARIABLE ${1}" && exit 1
+}
+
+cinfo() {
+ local tag=$1
+ check_validvar tag $tag
+ shift
+ echo "$tag: $@"
+}
+
+make_tool() {
+ [ $# -lt 1 ] && echo "make_tool TOOL PREFIXOPTION" && exit 1
+ local tool=$1
+ shift
+
+ [ [ ! -d /usr/src/cap4/$tool ] && [ "x${CAPHOME}" = "x" ] ] && \
+ [ [ "x${CAPDEVHOME}" != "x" ] && [ ! -d ${CAPDEVHOME}/src/make/$tool ] ] && \
+ echo "Missing make src for $tool" && exit 1
+
+
+
+ if [ $RPM -eq 1 -a $2 ]; then
+ echo "UNDER DEVELOPMENT: make_tool called with a prefix for rpm"
+ exit 1
+ elif [ $RPM -eq 1 ]; then
+ make -C
+ fi
+}
+
+: <<=cut
+
+=pod
+
+=head1 cfunc
+
+cfunc - library of bash functions for cap4
+
+=head1 SYNOPSIS
+
+=head1 DESCRIPTION
+
+More detailed description of your program. Include CLI, Options, Variable Names, Exported Subroutines, Internal Subroutines.
+
+=head1 SEE ALSO
+
+Local documentation should be accessible in
+ /usr/share/doc/cap4/
+
+Submit any questions/requests/gripes to the CAP-users mailing list:
+ cap4-users_AT_lists_DOT_sf_DOT_net
+
+Updated software and documentation may be found at the CAP web site:
+ http://www.capforge.org
+
+=head1 COPYRIGHT AND LICENSE
+
+© Copyright 2012 Hewlett-Packard Development Company, L.P
+
+This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
+
+This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+=cut
diff --git a/toolbox/Makefile b/src/Makefile
similarity index 85%
rename from toolbox/Makefile
rename to src/Makefile
index 5357459..4065939 100644
--- a/toolbox/Makefile
+++ b/src/Makefile
@@ -6,13 +6,13 @@ TOOLDIRS = conman freeipmi genders nodediag pdsh powerman diskscrub \
OTHERS = munge nfsroot slurm-spank-plugins io-watchdog padb sqlog diskscrub slurm torque
download downloadstatus clean distclean:
- $(call print-header,"cap4 toolbox $@")
+ $(call print-header,"cap4 src $@")
@for TOOLS in $(TOOLDIRS) $(OTHERS); do \
[ -d $$TOOLS ] && $(MAKE) -C $$TOOLS $@; \
done;
rpm rpmstatus:
- $(call print-header,"cap4 toolbox $@")
+ $(call print-header,"cap4 src $@")
@for TOOLS in $(TOOLDIRS); do \
[ -d $$TOOLS ] && $(MAKE) -C $$TOOLS $@; \
done;
diff --git a/toolbox/collectl-utils/Makefile b/src/collectl-utils/Makefile
similarity index 100%
rename from toolbox/collectl-utils/Makefile
rename to src/collectl-utils/Makefile
diff --git a/toolbox/collectl/Makefile b/src/collectl/Makefile
similarity index 100%
rename from toolbox/collectl/Makefile
rename to src/collectl/Makefile
diff --git a/toolbox/conman/Makefile b/src/conman/Makefile
similarity index 100%
rename from toolbox/conman/Makefile
rename to src/conman/Makefile
diff --git a/toolbox/diskscrub/Makefile b/src/diskscrub/Makefile
similarity index 100%
rename from toolbox/diskscrub/Makefile
rename to src/diskscrub/Makefile
diff --git a/toolbox/freeipmi/Makefile b/src/freeipmi/Makefile
similarity index 100%
rename from toolbox/freeipmi/Makefile
rename to src/freeipmi/Makefile
diff --git a/toolbox/genders/Makefile b/src/genders/Makefile
similarity index 100%
rename from toolbox/genders/Makefile
rename to src/genders/Makefile
diff --git a/toolbox/io-watchdog/Makefile b/src/io-watchdog/Makefile
similarity index 100%
rename from toolbox/io-watchdog/Makefile
rename to src/io-watchdog/Makefile
diff --git a/toolbox/make.def b/src/make.def
similarity index 100%
rename from toolbox/make.def
rename to src/make.def
diff --git a/toolbox/make.workbench b/src/make.workbench
similarity index 68%
rename from toolbox/make.workbench
rename to src/make.workbench
index c8f3caf..92db9e3 100644
--- a/toolbox/make.workbench
+++ b/src/make.workbench
@@ -3,28 +3,28 @@ default: .make-$(SRC)
download: $(TAR)
$(TAR):
- $(call print-header,"cap4 toolbox download $@")
+ $(call print-header,"cap4 src download $@")
$(call download-curl-url,$(URL))
rpm: .rpmbuild-$(SRC)
.rpmbuild-$(SRC): $(TAR)
- $(call print-header,"cap4 toolbox rpmbuild $(SRC)")
+ $(call print-header,"cap4 src rpmbuild $(SRC)")
$(call rpmbuild-src,$(TAR))
@[ -f .rpmbuild ] && mv .rpmbuild .rpmbuild-$(SRC)
@touch $@
downloadstatus:
- $(call print-header,"cap4 toolbox $@ $(TAR)")
+ $(call print-header,"cap4 src $@ $(TAR)")
@[ -f $(TAR) ] && echo `ls --color $(TAR)`=`file $(TAR) | sed -e 's/$(TAR)://g'`
@sleep 1
rpmstatus:
- $(call print-header,"cap4 toolbox $@ $(SRC)")
+ $(call print-header,"cap4 src $@ $(SRC)")
@[ -d RPMS ] && find ./RPMS -name *.rpm | xargs ls --color
@sleep 1
clean distclean:
- $(call print-header,"cap4 toolbox $@ $(SRC)")
+ $(call print-header,"cap4 src $@ $(SRC)")
rm -fr $(TAR) $(SRC) .rpmbuild-$(SRC) .rpmbuild BUILD BUILDROOT RPMS SOURCES SPECS SRPMS .make-$(SRC)
diff --git a/toolbox/mcelog/Makefile b/src/mcelog/Makefile
similarity index 78%
rename from toolbox/mcelog/Makefile
rename to src/mcelog/Makefile
index ddff614..053f266 100644
--- a/toolbox/mcelog/Makefile
+++ b/src/mcelog/Makefile
@@ -10,11 +10,11 @@ default: .make-$(SRC)
gitdownload: $(SRC)
$(SRC):
- $(call print-header,"cap4 toolbox git pull $@")
+ $(call print-header,"cap4 src git pull $@")
$(call gitpull-src,$(URL),$(SRC))
.make-$(SRC): $(SRC)
- $(call print-header,"cap4 toolbox make $(SRC)")
+ $(call print-header,"cap4 src make $(SRC)")
make -C $(SRC) > .make-$(SRC) 2>&1
@echo "Run as root make install"
@touch $@
diff --git a/toolbox/munge/Makefile b/src/munge/Makefile
similarity index 100%
rename from toolbox/munge/Makefile
rename to src/munge/Makefile
diff --git a/toolbox/nfsroot/Makefile b/src/nfsroot/Makefile
similarity index 100%
rename from toolbox/nfsroot/Makefile
rename to src/nfsroot/Makefile
diff --git a/toolbox/nodediag/Makefile b/src/nodediag/Makefile
similarity index 100%
rename from toolbox/nodediag/Makefile
rename to src/nodediag/Makefile
diff --git a/toolbox/onesis/Makefile b/src/onesis/Makefile
similarity index 81%
rename from toolbox/onesis/Makefile
rename to src/onesis/Makefile
index 89d5c01..2a0c6a5 100644
--- a/toolbox/onesis/Makefile
+++ b/src/onesis/Makefile
@@ -10,7 +10,7 @@ default: .make-$(SRC)
svndownload: $(SRC)
$(SRC):
- $(call print-header,"cap4 toolbox svn checkout $@")
+ $(call print-header,"cap4 src svn checkout $@")
mkdir -p $(SRC)
$(call svncheckout-src,$(URL)/trunk,trunk)
mv trunk $(SRC)/
@@ -19,7 +19,7 @@ $(SRC):
@touch $@
.make-$(SRC): $(SRC)
- $(call print-header,"cap4 toolbox make $(SRC)")
+ $(call print-header,"cap4 src make $(SRC)")
@echo "run as root: make -C $(SRC)/trunk svnrpm"
@touch $@
diff --git a/toolbox/padb/Makefile b/src/padb/Makefile
similarity index 100%
rename from toolbox/padb/Makefile
rename to src/padb/Makefile
diff --git a/toolbox/pdsh/Makefile b/src/pdsh/Makefile
similarity index 100%
rename from toolbox/pdsh/Makefile
rename to src/pdsh/Makefile
diff --git a/toolbox/powerman/Makefile b/src/powerman/Makefile
similarity index 100%
rename from toolbox/powerman/Makefile
rename to src/powerman/Makefile
diff --git a/toolbox/python-hostlist/Makefile b/src/python-hostlist/Makefile
similarity index 100%
rename from toolbox/python-hostlist/Makefile
rename to src/python-hostlist/Makefile
diff --git a/toolbox/slurm-spank-plugins/Makefile b/src/slurm-spank-plugins/Makefile
similarity index 100%
rename from toolbox/slurm-spank-plugins/Makefile
rename to src/slurm-spank-plugins/Makefile
diff --git a/toolbox/slurm/Makefile b/src/slurm/Makefile
similarity index 100%
rename from toolbox/slurm/Makefile
rename to src/slurm/Makefile
diff --git a/toolbox/sqlog/Makefile b/src/sqlog/Makefile
similarity index 100%
rename from toolbox/sqlog/Makefile
rename to src/sqlog/Makefile
diff --git a/toolbox/torque/Makefile b/src/torque/Makefile
similarity index 100%
rename from toolbox/torque/Makefile
rename to src/torque/Makefile
hooks/post-receive
--
cap4
|